Zydis v4.1.1

Loading...
Searching...
No Matches
ZydisDecodedInstructionRaw_::ZydisDecodedInstructionRawImm_ Struct Reference

Detailed info about immediate-bytes. More...

`#include <DecoderTypes.h>`

## Data Structures
union | ZydisDecodedInstructionRawImmValue_
| The immediate value. More...

## Data Fields
ZyanBool | is_signed
| Signals, if the immediate value is signed.
ZyanBool | is_relative
| Signals, if the immediate value contains a relative offset.
union ZydisDecodedInstructionRaw_::ZydisDecodedInstructionRawImm_::ZydisDecodedInstructionRawImmValue_ | value
ZyanU8 | size
| The physical immediate size, in bits.
ZyanU8 | offset
| The offset of the immediate data, relative to the beginning of the instruction, in bytes.

## Detailed Description

Detailed info about immediate-bytes.

## Field Documentation

## ◆ is_relative

ZyanBool is_relative

Signals, if the immediate value contains a relative offset.

You can use ZydisCalcAbsoluteAddress to determine the absolute address value.

## ◆ is_signed

ZyanBool is_signed

Signals, if the immediate value is signed.

## ◆ offset

ZyanU8 offset

The offset of the immediate data, relative to the beginning of the instruction, in bytes.

## ◆ size

ZyanU8 size

The physical immediate size, in bits.

## ◆ value

union ZydisDecodedInstructionRaw_::ZydisDecodedInstructionRawImm_::ZydisDecodedInstructionRawImmValue_ value

The documentation for this struct was generated from the following file:

- include/Zydis/DecoderTypes.h